#if !defined(__tdrngvld_h)              // Sentry, use file only if it's not already included.
#define __tdrngvld_h

/*  Project xodf
    ENSMSE (Labo diffraction X, Mr Fillit)
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    xodf.apx Application
    FILE:         tdrngvld.h
    AUTHOR:       O. JAUTZY


    OVERVIEW
    ========
    Class definition for TDoRangeValidator (TFilterValidator).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#if !defined(OWL_VALIDATE_H)
# include <owl/validate.h>
#endif


//{{TFilterValidator = TDoRangeValidator}}
class TDoRangeValidator : public TFilterValidator {
public:
	 TDoRangeValidator (double min,double max);
	 virtual ~TDoRangeValidator (){}

//{{TDoRangeValidatorVIRTUAL_BEGIN}}
	 virtual void Error (TWindow* owner);
	 virtual bool IsValid (const char far* str);
	 virtual uint Transfer (char far* str, void* buffer, TTransferDirection direction);
//{{TDoRangeValidatorVIRTUAL_END}}

protected :
	double Min;
	double Max;

DECLARE_STREAMABLE(_USERCLASS, TDoRangeValidator, 1);
};    //{{TDoRangeValidator}}


#endif                                      // __tdrngvld_h sentry.

