//----------------------------------------------------------------------------
//  Project wait cursor
//  
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:
//  FILE:         TWaitCursor.h
//  AUTHOR:
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TWaitCursor.
//		
//
//----------------------------------------------------------------------------
#if !defined(TWAITCURSOR_H)              // Sentry, use file only if it's not already included.
#define TWAITCURSOR_H

class TWaitCursor
{
public:
  TWaitCursor(TModule* module = 0, TResId resId = IDC_WAIT)
  : OldCursor(0)
  {
    HCURSOR cursor = LoadCursor(module ? (HINSTANCE) *module : 0, resId);
    if (cursor) OldCursor = SetCursor(cursor);
  }

  ~TWaitCursor()
  {
    if (OldCursor) SetCursor(OldCursor);
  }

private:
  HCURSOR OldCursor;
};

#endif  //  sentry.
/********************* EOF ************************************************/