//----------------------------------------------------------------------------
//  Project hypoplastic model
//  
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    hypoplastic  Application
//  FILE:         hypoAbout.h
//  AUTHOR:       
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for THypoAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(H_HYPO_ABOUT_H)              // Sentry, use file only if it's not already included.
#define H_HYPO_ABOUT_H

#include <owl/static.h>

#include "hypoapp.rc"                  // Definition of all resources.


//{{TDialog = THypoAboutDlg}}
class THypoAboutDlg : public TDialog {
  public:
    THypoAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT, TModule* module = 0);
    virtual ~THypoAboutDlg();

//{{THypoAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{THypoAboutDlgVIRTUAL_END}}
};    //{{THypoAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion {
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPSTR& prodName);
    bool GetProductVersion(LPSTR& prodVersion);
    bool GetCopyright(LPSTR& copyright);
    bool GetDebug(LPSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};


#endif  // H_HYPO_ABOUT_H sentry.

/********************* EOF ************************************************/
